Package be.fgov.ehealth.dics.core.v4.compounding.common

# Class ObjectFactory

java.lang.Object
be.fgov.ehealth.dics.core.v4.compounding.common.ObjectFactory

public class ObjectFactory extends Object
This object contains factory methods for each Java content interface and Java element interface generated in the be.fgov.ehealth.dics.core.v4.compounding.common package.

An ObjectFactory allows you to programmatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ObjectFactory()`
  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.dics.core.v4.compounding.common

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CompoundingFormulaKeyType`
  `createCompoundingFormulaKeyType()`
  Create an instance of `CompoundingFormulaKeyType`
  `CompoundingIngredientKeyType`
  `createCompoundingIngredientKeyType()`
  Create an instance of `CompoundingIngredientKeyType`
  `SynonymType`
  `createSynonymType()`
  Create an instance of `SynonymType`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ObjectFactory

    public ObjectFactory()
    Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.dics.core.v4.compounding.common

- ## Method Details

  - ### createCompoundingIngredientKeyType

    public CompoundingIngredientKeyType createCompoundingIngredientKeyType()
    Create an instance of `CompoundingIngredientKeyType`
    Returns:
      the new instance of `CompoundingIngredientKeyType`

  - ### createCompoundingFormulaKeyType

    public CompoundingFormulaKeyType createCompoundingFormulaKeyType()
    Create an instance of `CompoundingFormulaKeyType`
    Returns:
      the new instance of `CompoundingFormulaKeyType`

  - ### createSynonymType

    public SynonymType createSynonymType()
    Create an instance of `SynonymType`
    Returns:
      the new instance of `SynonymType`